Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Reactions

Get Comment Reactions
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
Get a list of content comment reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Comments and reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"241ecefd-31af-4103-98bc-88364a235702","userId":"1d50250b-76ae-4aa0-9a69-d4429a444fc0","type":"Angry","creationDateTime":"2026-06-07T15:16:33.7574096+00:00"},{"id":"154b530a-83f2-49b7-be78-a142879c5133","userId":"7ff697db-0797-446f-9e15-eddb7c5715e2","type":"Like","creationDateTime":"2026-06-07T16:16:33.7574096+00:00"}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
  nextUrl string      
  previousUrl string